
:If extra bit is set, it flips between the ON/OFF switch based on a custom timer.
;If extra bit = clear, it flips when the timer is at a certain time.

;Format: TimeH:TimeT:TimeO-1, e.g.

TimeH = $01
TimeT = $02
TimeO = $04	; At 124-1=123 flip it.

Timer = $08	; Time it takes to flip switch (seconds) (custom).

SFX	= $0B	; Sound to make. 

dcb "INIT"
dcb "MAIN"

LDA $7FAB10,x
AND #$04
BEQ Custom
LDA $0F31
CMP #TimeH
BNE Clear
LDA $0F32
CMP #TimeT
BNE Clear
LDA $0F33
CMP #TimeO
BEQ Flips
RTL

Custom:
LDA $13
AND #$3F
BNE Skip
INC $1528,x	; Increase every second.
Skip:
LDA $1528,x
CMP #Timer
BNE Clear
STZ $1528,x	; Reset timer
Flips:
LDA $14AF	;\
EOR #$01	; | Invert
STA $14AF	;/
LDA #SFX	;\
STA $1DFC	;/ Sfx
Clear:
RTL
